Microsoft.Build.Framework 2.0.0.0 System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("8661674F-2148-4F71-A92A-49875511C528")

The number of objects created during a build may not correspond exactly to items declared in a project file for the following reasons:

Tasks sometimes create items that were not declared in the project file.

An item collection can be declared in the project file with wildcards, which could create many items when built.

Defines an vstecmsbuild item that can be consumed and emitted by tasks.

- Method
  System.Collections.IDictionary

  Does not include built-in metadata.

  This method should return a clone of the metadata.

  Writing to this dictionary should not be reflected in the underlying item.

  Gets the collection of custom metadata.

  The collection of custom metadata.

  2.0.0.0
- Method
  System.Void ``

  Follow the guidelines below when implementing this method.

  Do not overwrite the property.

  Do not overwrite existing metadata entries.

  Do not copy metadata entries that do not make sense on the destination item.

  Copies the custom metadata entries to another item.

  The item to copy the metadata entries to. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the value of the specified metadata entry.

  The value of the metadata.

  The name of the metadata entry. 2.0.0.0
- Property
  System.String To be added.

  The item specification is an arbitrary string. If the item represents a file on disk, the item specification will be the path of that file.

  The for the following item declaration in a project file is File.cs.

  `<ItemGroup> <Compile Include="File.cs"/> </ItemGroup>`

  Gets or sets the item specification.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of metadata entries associated with the item.

  2.0.0.0
- Property
  System.Collections.ICollection To be added. To be added.

  Gets the names of the metadata entries associated with the item.

  2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified metadata entry from the item.

  The name of the metadata entry to remove. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds or changes a custom metadata entry to the item.

  The name of the metadata entry. The value of the metadata entry. 2.0.0.0